"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ngparam_1 = require("../../services/ngparam");
var FieldSet = (function () {
    function FieldSet() {
        this.params = [];
    }
    FieldSet.prototype.addParameter = function (prm) {
        this.params.push(new ngparam_1.NgParameter(prm));
    };
    return FieldSet;
}());
exports.FieldSet = FieldSet;
var FieldSetComponent = (function () {
    function FieldSetComponent() {
    }
    Object.defineProperty(FieldSetComponent.prototype, "fieldSet", {
        set: function (fs) {
            this._fieldSet = fs;
        },
        enumerable: true,
        configurable: true
    });
    return FieldSetComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", FieldSet),
    __metadata("design:paramtypes", [FieldSet])
], FieldSetComponent.prototype, "fieldSet", null);
FieldSetComponent = __decorate([
    core_1.Component({
        selector: "field-set",
        templateUrl: "./field-set.html",
        styles: [".field_set_title {\
        font-weight: bold;\
        margin: 0.3em 0 0.2em;\
        padding: 0.3em;\
        background-color: #eeeeee;\
        }"]
    }),
    __metadata("design:paramtypes", [])
], FieldSetComponent);
exports.FieldSetComponent = FieldSetComponent;
//# sourceMappingURL=field-set.component.js.map